Description: Replace shebang in test files with python3
Author: Nick Morrott <nickm@debian.org>
Forwarded: not-needed
Last-Update: 2021-01-09
---
--- a/yotta/test/cli/cli.py
+++ b/yotta/test/cli/cli.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_account.py
+++ b/yotta/test/cli/test_account.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_build.py
+++ b/yotta/test/cli/test_build.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_debug.py
+++ b/yotta/test/cli/test_debug.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2016 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_install.py
+++ b/yotta/test/cli/test_install.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_link.py
+++ b/yotta/test/cli/test_link.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014-2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_minversion.py
+++ b/yotta/test/cli/test_minversion.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_outdated.py
+++ b/yotta/test/cli/test_outdated.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_owners.py
+++ b/yotta/test/cli/test_owners.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_publish.py
+++ b/yotta/test/cli/test_publish.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014-2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_search.py
+++ b/yotta/test/cli/test_search.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_shrinkwrap.py
+++ b/yotta/test/cli/test_shrinkwrap.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_start.py
+++ b/yotta/test/cli/test_start.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2016 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_target.py
+++ b/yotta/test/cli/test_target.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_test.py
+++ b/yotta/test/cli/test_test.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_unlink.py
+++ b/yotta/test/cli/test_unlink.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014-2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_update.py
+++ b/yotta/test/cli/test_update.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/test_version.py
+++ b/yotta/test/cli/test_version.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/cli/util.py
+++ b/yotta/test/cli/util.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_components.py
+++ b/yotta/test/test_components.py
@@ -1,4 +1,4 @@
-#! /usr/bin/env python2.7
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_git_access.py
+++ b/yotta/test/test_git_access.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_github_access.py
+++ b/yotta/test/test_github_access.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_hg_access.py
+++ b/yotta/test/test_hg_access.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_ignores.py
+++ b/yotta/test/test_ignores.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_settings.py
+++ b/yotta/test/test_settings.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_sourceparse.py
+++ b/yotta/test/test_sourceparse.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_target.py
+++ b/yotta/test/test_target.py
@@ -1,4 +1,4 @@
-#! /usr/bin/env python2.7
+#!/usr/bin/python3
 # Copyright 2014-2015 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_test_subcommand.py
+++ b/yotta/test/test_test_subcommand.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_validation.py
+++ b/yotta/test/test_validation.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_vcs.py
+++ b/yotta/test/test_vcs.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
--- a/yotta/test/test_versions.py
+++ b/yotta/test/test_versions.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # Copyright 2014 ARM Limited
 #
 # Licensed under the Apache License, Version 2.0
